// packageD/auction/auction-mine/auction_integral_love/auction_integral_love.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    integral: 0,
    transfer_set: 1,
    withdraw_set_title: 1,
    name: "",
    manual_withdraw_set_switch: 1,
    is_recharge: "1",
    pop: {}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    // this.getName();
    
  },
  gomingxi(){
    wx.navigateTo({
      url: '/packageD/auction/auction-mine/auction_deposit/auction_deposit',
    });
  },
  chongzhi(){
    wx.navigateTo({
      url: '/packageD/auction/auction-mine/auction_recharge/auction_recharge',
    });
  },
  tixian(){
    wx.navigateTo({
      url: '/packageD/auction/auction-mine/auctionIntegralCash/auctionIntegralCash',
    });
  },
  getDgetStoreInfoata(){
    var that = this;
    let urlStr = app.getNetAddresss('plugin.auction.api.prepayment.withdraw.page');
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            Data:res.data
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000
          });
        }
      },
      fail: function (res) {
        console.log(res);
        wx.showToast({
          title: res.msg,
          icon: "none",
          duration: 1000
        });
      }
    });
  },
  getName() {
    var that = this;
    let urlStr = app.getNetAddresss('plugin.integral.Frontend.Controllers.page.get-name');
    app._getNetWork({
      url: urlStr,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            name:res.data
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000
          });
        }
      },
      fail: function (res) {
        console.log(res);
        wx.showToast({
          title: res.msg,
          icon: "none",
          duration: 1000
        });
      }
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getDgetStoreInfoata();
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
});